using System.Text.Json.Serialization;

namespace AxCopilot.Models;

public class RegisteredModel
{
	[JsonPropertyName("alias")]
	public string Alias { get; set; } = "";

	[JsonPropertyName("encryptedModelName")]
	public string EncryptedModelName { get; set; } = "";

	[JsonPropertyName("service")]
	public string Service { get; set; } = "ollama";

	[JsonPropertyName("endpoint")]
	public string Endpoint { get; set; } = "";

	[JsonPropertyName("apiKey")]
	public string ApiKey { get; set; } = "";

	[JsonPropertyName("authType")]
	public string AuthType { get; set; } = "bearer";

	[JsonPropertyName("cp4dUrl")]
	public string Cp4dUrl { get; set; } = "";

	[JsonPropertyName("cp4dUsername")]
	public string Cp4dUsername { get; set; } = "";

	[JsonPropertyName("cp4dPassword")]
	public string Cp4dPassword { get; set; } = "";
}
